#ifndef TRIE_SEDGEWICK_H_
#define TRIE_SEDGEWICK_H_

// Simple trie.  After Sedgewick, Algorithms, Ch 5.

struct trie;

struct trie * trie_new();
void trie_delete(struct trie * trie);

char * trie_put(struct trie * trie, char * key, void * data);
void * trie_get(struct trie * trie, char * key);

#endif
